//
// Created by zx on 2020/4/28.
//

#ifndef AGV_DTYPE_H
#define AGV_DTYPE_H
namespace agv
{
/**
 * 位姿数据类型
 */
    class Pose
    {
    public:
        Pose();
        Pose(double x,double y,double theta);
        double x();
        double y();
        double theta();

    protected:
        double m_x;
        double m_y;
        double m_theta;
    };


    /*
     * agv各项驱动数据
     */
#define MOTOR_NUM   2
    typedef struct AGV_DRIVER_DATE
    {
        double front_motor_data[MOTOR_NUM]; //前车电机数据
        double rear_motor_data[MOTOR_NUM];  //后车电机数据
    }Driver_data;

}

#endif //AGV_DTYPE_H
